#Makefile for math functions of psLib
#
noinst_LTLIBRARIES = libpslibmath.la

libpslibmath_la_CPPFLAGS = $(SRCINC) $(GSL_CFLAGS)
libpslibmath_la_SOURCES = \
	psUnaryOp.c \
	psBinaryOp.c \
	psCompare.c \
	psMatrix.c \
	psMinimizeLMM.c \
	psMinimizePowell.c \
	psMinimizePolyFit.c \
	psRandom.c \
	psRegion.c \
	psRegionForImage.c \
	psPolynomial.c \
	psSpline.c \
	psStats.c \
	psMathUtils.c

EXTRA_DIST = math.i

pslibincludedir = $(includedir)
pslibinclude_HEADERS = \
	psUnaryOp.h \
	psBinaryOp.h \
	psCompare.h \
	psConstants.h \
	psMatrix.h \
	psMinimizeLMM.h \
	psMinimizePowell.h \
	psMinimizePolyFit.h \
	psRandom.h \
	psRegion.h \
	psRegionForImage.h \
	psPolynomial.h \
	psSpline.h \
	psStats.h \
	psMathUtils.h
